#ifndef XYZOOMSCROLL_H
#define XYZOOMSCROLL_H

#include <QDialog>
#include <QSlider>
#include <QTimer>
#include <QPushButton>
#include "qdragrect.h"
#include "qchartviewer.h"


class XYZoomScroll : public QDialog {
    Q_OBJECT
public:
    XYZoomScroll(QWidget *parent = 0);
    ~XYZoomScroll();

private:

    QSlider *m_ZoomBar;
    QFrame *m_NavigatePad;
    QDragRect *m_NavigateWindow;

    QChartViewer *m_ChartViewer;

    void scrollChartTo(double viewPortLeft, double viewPortTop);    // Scroll the chart
    void drawChart(QChartViewer *viewer);                           // Draw chart
    void crossHair(XYChart *c, int mouseX, int mouseY);             // Draw crosshair cursor
    void updateImageMap(QChartViewer *viewer);                      // Update image map
    void updateControls(QChartViewer *viewer);                      // Update other controls

private slots:
    void onMouseUsageChanged(int mouseUsage);
    void onZoomBarChanged(int value);
    void onNavigateWindowDrag(QPoint fromPoint, QPoint toPoint);
    void onMouseMovePlotArea(QMouseEvent *event);
    void onMouseWheelChart(QWheelEvent *event);
    void onViewPortChanged();
    void onClickChart(QMouseEvent *event);
};

#endif // XYZOOMSCROLL_H
